<template>
    <div id="how-it-work">
        <v-container class="pt-6 pt-lg-12 pb-6 pb-md-12" fluid>
            <insta-increase-influence/>
        </v-container>
        <div class="how-it-work-card-section">
            <v-container class="pt-0 pb-10" flex>
                <div class="pt-10 pb-0">
                    <h1 class="white--text">
                        How it Works
                    </h1>
                </div>
                <target-audience-card/>
                <grow-audience/>
                <consistenly-growing/>
                <results/>
                <support/>
            </v-container>
        </div>
        <v-container id="hiw-benefits-container" class="pt-0">
            <div class="pt-10 pb-10">
                <h1>Why <span class="brand-name">Instavigator</span>?</h1>
            </div>
            <benefits/>
        </v-container>
        <div class="free-trial">
            <v-container fluid>
                <free-trial-banner/>
            </v-container>
        </div>
    </div>
</template>
<script> /* eslint-disable */
import Benefits from './components/Benefits'
import ConsistenlyGrowing from './components/ConsistenlyGrowing'
import FreeTrialBanner from '../FreeTrialBanner'
import GrowAudience from './components/GrowAudience'
import InstaIncreaseInfluence from './components/InstaIncreaseInfluence'
import Results from './components/Results'
import Support from './components/Support'
import TargetAudienceCard from './components/TargetAudienceCard'

export default {
    name: 'HowItWorks',
    components: {
        'benefits': Benefits,
        'consistenly-growing': ConsistenlyGrowing,
        'free-trial-banner': FreeTrialBanner,
        'grow-audience': GrowAudience,
        'insta-increase-influence': InstaIncreaseInfluence,
        'results': Results,
        'support': Support,
        'target-audience-card': TargetAudienceCard
    }
}
</script>

<style lang="scss" scoped>
    @font-face {
        font-family: Poppins-Bold;
        src: url('../../assets/fonts/Poppins-Bold.ttf');
    }
    .brand-name {
        font-family: Pacifico, sans-serif;
    }
    #how-it-work {
        .how-it-work-card-section {
            background: #C13584;
        }
        .free-trial {
            background-color: #833AB4;
        }
    }
</style>
